curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/line_items/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"properties": {},
"idProperty": "<string>",
"objectWriteTraceId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"new": true,
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 10,
"requestedAt": "2023-11-07T05:31:56Z"
}「idProperty」クエリーパラメーターによる指定通り、固有のプロパティー値によって特定されるレコードを作成または更新します。「idProperty」クエリーパラメーターはオブジェクトについて値が固有のプロパティーを参照します。
curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/line_items/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"properties": {},
"idProperty": "<string>",
"objectWriteTraceId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"new": true,
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 10,
"requestedAt": "2023-11-07T05:31:56Z"
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
表示 子属性
successful operation
バッチ更新/挿入処理の結果を表します。これには、オペレーションのステータス、タイムスタンプ、および正常に作成または更新されたオブジェクトのリストが含まれます。
バッチ処理が完了した時刻のタイムスタンプ(ISO 8601形式)。
表示 子属性
バッチ処理の実行が開始された時刻のタイムスタンプ(ISO 8601形式)。
バッチ処理リクエストのステータス。「PENDING」、「PROCESSING」、「CANCELED」、または「COMPLETE」にできます。
CANCELED, COMPLETE, PENDING, PROCESSING 表示 子属性
バッチリクエストに関連する、関連性の高いリンクを含むオブジェクト。
表示 子属性
処理中に発生したエラーの合計数。
10
バッチ処理が開始された時刻のタイムスタンプ(ISO 8601形式)。